ngram_search_fwdflat.h File Reference
`#include "ngram_search.h"`

Go to the source code of this file.

## Functions

void | ngram_fwdflat_init (ngram_search_t *ngs)
| Initialize N-Gram search for fwdflat decoding.
void | ngram_fwdflat_deinit (ngram_search_t *ngs)
| Release memory associated with fwdflat decoding.
int | ngram_fwdflat_reinit (ngram_search_t *ngs)
| Rebuild search structures for updated language models.
void | ngram_fwdflat_start (ngram_search_t *ngs)
| Start fwdflat decoding for an utterance.
int | ngram_fwdflat_search (ngram_search_t *ngs, int frame_idx)
| Search one frame forward in an utterance.
void | ngram_fwdflat_finish (ngram_search_t *ngs)
| Finish fwdflat decoding for an utterance.

## Detailed Description

Flat lexicon based Viterbi search.

Definition in file ngram_search_fwdflat.h.